Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.result
Class SolverBenchmarkResult

    java.lang.Object
      org.optaplanner.benchmark.impl.result.SolverBenchmarkResult

    public class SolverBenchmarkResult

extends Object

Represents 1 `Solver` configuration benchmarked on multiple problem instances (data sets).

Constructor Summary
`SolverBenchmarkResult(PlannerBenchmarkResult plannerBenchmarkResult)`

Method Summary
`void` | `accumulateResults(BenchmarkReport benchmarkReport)` Does not call `SingleBenchmarkResult.accumulateResults(BenchmarkReport)`, because `PlannerBenchmarkResult.accumulateResults(BenchmarkReport)` does that already on `PlannerBenchmarkResult.getUnifiedProblemBenchmarkResultList()`.
`protected static Map<SolverBenchmarkResult,SolverBenchmarkResult>` | `createMergeMap(PlannerBenchmarkResult newPlannerBenchmarkResult, List<SingleBenchmarkResult> singleBenchmarkResultList)`
`protected void` | `determineStandardDeviation()`
`protected void` | `determineTotalsAndAverages()`
`SingleBenchmarkResult` | `findSingleBenchmark(ProblemBenchmarkResult problemBenchmarkResult)`
`String` | `getAnchorId()`
`Long` | `getAverageAverageCalculateCountPerSecond()`
`Score` | `getAverageScore()`
`Long` | `getAverageTimeMillisSpent()`
`Score` | `getAverageWinningScoreDifference()`
`ScoreDifferencePercentage` | `getAverageWorstScoreDifferencePercentage()`
`Integer` | `getFailureCount()`
`String` | `getName()`
`String` | `getNameWithFavoriteSuffix()`
`PlannerBenchmarkResult` | `getPlannerBenchmarkResult()`
`Integer` | `getRanking()`
`List<Score>` | `getScoreList()`
`List<SingleBenchmarkResult>` | `getSingleBenchmarkResultList()`
`SolverConfig` | `getSolverConfig()`
`String` | `getSolverConfigAsHtmlEscapedXml()`
`String` | `getStandardDeviationString()`
`int` | `getSuccessCount()`
`Score` | `getTotalScore()`
`Score` | `getTotalWinningScoreDifference()`
`boolean` | `hasAnyFailure()`
`boolean` | `hasAnySuccess()`
`boolean` | `isFavorite()`
`void` | `setName(String name)`
`void` | `setPlannerBenchmarkResult(PlannerBenchmarkResult plannerBenchmarkResult)`
`void` | `setRanking(Integer ranking)`
`void` | `setSingleBenchmarkResultList(List<SingleBenchmarkResult> singleBenchmarkResultList)`
`void` | `setSolverConfig(SolverConfig solverConfig)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SolverBenchmarkResult

    public SolverBenchmarkResult(PlannerBenchmarkResult plannerBenchmarkResult)

Method Detail

### getPlannerBenchmarkResult

    public PlannerBenchmarkResult getPlannerBenchmarkResult()

### setPlannerBenchmarkResult

    public void setPlannerBenchmarkResult(PlannerBenchmarkResult plannerBenchmarkResult)

### getName

    public String getName()

### setName

    public void setName(String name)

### getSolverConfig

    public SolverConfig getSolverConfig()

### setSolverConfig

    public void setSolverConfig(SolverConfig solverConfig)

### getSingleBenchmarkResultList

    public List<SingleBenchmarkResult> getSingleBenchmarkResultList()

### setSingleBenchmarkResultList

    public void setSingleBenchmarkResultList(List<SingleBenchmarkResult> singleBenchmarkResultList)

### getFailureCount

    public Integer getFailureCount()

### getTotalScore

    public Score getTotalScore()

### getAverageScore

    public Score getAverageScore()

### getTotalWinningScoreDifference

    public Score getTotalWinningScoreDifference()

### getAverageWorstScoreDifferencePercentage

    public ScoreDifferencePercentage getAverageWorstScoreDifferencePercentage()

### getAverageAverageCalculateCountPerSecond

    public Long getAverageAverageCalculateCountPerSecond()

### getAverageTimeMillisSpent

    public Long getAverageTimeMillisSpent()

### getRanking

    public Integer getRanking()

### setRanking

    public void setRanking(Integer ranking)

### getAnchorId

    public String getAnchorId()

### getNameWithFavoriteSuffix

    public String getNameWithFavoriteSuffix()

### getSuccessCount

    public int getSuccessCount()

### hasAnySuccess

    public boolean hasAnySuccess()

### hasAnyFailure

    public boolean hasAnyFailure()

### isFavorite

    public boolean isFavorite()

### getStandardDeviationString

    public String getStandardDeviationString()

### getAverageWinningScoreDifference

    public Score getAverageWinningScoreDifference()

### getScoreList

    public List<Score> getScoreList()

### findSingleBenchmark

    public SingleBenchmarkResult findSingleBenchmark(ProblemBenchmarkResult problemBenchmarkResult)

  Parameters:
    `problemBenchmarkResult` - never null
  Returns:
    sometimes null

### getSolverConfigAsHtmlEscapedXml

    public String getSolverConfigAsHtmlEscapedXml()

### accumulateResults

    public void accumulateResults(BenchmarkReport benchmarkReport)

  Does not call `SingleBenchmarkResult.accumulateResults(BenchmarkReport)`, because `PlannerBenchmarkResult.accumulateResults(BenchmarkReport)` does that already on `PlannerBenchmarkResult.getUnifiedProblemBenchmarkResultList()`.

### determineTotalsAndAverages

    protected void determineTotalsAndAverages()

### determineStandardDeviation

    protected void determineStandardDeviation()

### createMergeMap

    protected static Map<SolverBenchmarkResult,SolverBenchmarkResult> createMergeMap(PlannerBenchmarkResult newPlannerBenchmarkResult,
                                                                                     List<SingleBenchmarkResult> singleBenchmarkResultList)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.